"use strict";

export default {
	name: "CPU",
	icon: "microchip",
	items: [
		{
			name: "Frequency (GHz)",
			type: "gauge_multi",
			gauge_unit: "GHz",
			content: {
				"min": "frequency.min",
				"max": "frequency.max",
				"average": "frequency.avg"
			}
		},
		// {
		// 	name: "Frequency per-core (GHz)",
		// 	type: "gauge",
		// 	gauge: { min: 0, max: 6 },
		// 	content: (table) => table.frequency.cores // This is an array, which isn't implemented yet
		// },
		{
			name: "Temperature (°C)",
			type: "gauge",
			gauge_unit: "°C",
			content: (table) => table.temperature.cores
				.reduce((acc, next) => acc + next, 0) / table.temperature.cores.length,
		},
		{
			name: "Chipset temperature (°C)",
			type: "gauge",
			gauge_unit: "°C",
			content: "temperature.chipset"
		}
	]
};
